
# Análisis de clasificación con el paquete FactoMineR
# install.packages("FactoMineR")
library(FactoMineR)

# Matriz de datos ejemplo sobre segmentación del mercado de trabajo: Segmenta.rda
load(url("http://pagines.uab.cat/plopez/sites/pagines.uab.cat.plopez/files/EPA4T2014-Segmentacion.rda"))
attach(Segmenta)
DF=data.frame(CONTRATO,JORNADA,DURACION,ANTIGUEDAD,OCUPACION,ACTIVIDAD,EMPRESA,
              EDUCACION,EDAD,SEXO,NACIONALIDAD)
# Submuestra de 10.000 casos
DF2=DF[sample(1:nrow(DF),10000,replace=FALSE),]

# Análisis de correspondencias múltiples
ACM=MCA(DF2,ncp=2,quali.sup=9:11,na.method="Average") # 9 vars. activas y 3 ilustrativas
summary(ACM)

# Análisis de clasificación jerárquica
hcpc=HCPC(ACM,min=2,method="ward.D2",nb.clus=-1)    # Elección automática de la partición
hcpc=HCPC(ACM,min=2,method="ward.D2",nb.clus=0)     # Para elegir la partición
# Elección del número óptimo de grupos o tipos de la partición
hcpc$call$t$nb.clust
# Descripción de las clases de la clasificación (tipos de la tipología)
hcpc$desc.var$test.chi2   # Variables
hcpc$desc.var$category    # Categorías
hcpc$desc.axes            # Factores
hcpc$desc.ind             # individuos

 
